Skip to content

Insights generation progress​

GET
/api/ai/insights/status

Works whether or not AI is enabled (it only reads the stored session).

Authorizations​

bearerAuth

API token created via POST /api/tokens or the db:create-token CLI command

Type
HTTP (bearer)

Parameters​

Query Parameters

session_id*
Type
string
Required

Responses​

Session progress

application/json
JSON
{
"data": {
"session_id": "string",
"status": "string",
"total_tasks": 0,
"completed": 0,
"progress_pct": 0,
"started_at": "string",
"finished_at": "string",
"error": "string"
}
}

Samples​

Powered by VitePress OpenAPI